SOLVED: Problem with PhpPgAdmin

Fbarajas

Well-Known Member
Jul 15, 2004
56
4
158
Playa del Carmen, Mexico
Hi! I'm having problems running phpPgAdmin from Cpanel. When I try to run phppgAdmin from Cpanel, I get the following error:

"Your PHP installation does not support PostgreSQL. You need to recompile PHP using the --with-pgsql configure option.""

I have PostgreSQL installed and as you can see on phpinfo(), I have PHP correctly configured:

PostgreSQL Support enabled
PostgreSQL(libpq) Version 8.1.21
Multibyte character support enabled
SSL support enabled

Am I mising something?
 

cPanelJamyn

Social Engineer
Staff member
Jan 29, 2009
105
2
143
Hi! I'm having problems running phpPgAdmin from Cpanel. When I try to run phppgAdmin from Cpanel, I get the following error:

"Your PHP installation does not support PostgreSQL. You need to recompile PHP using the --with-pgsql configure option.""
Hi,

Rebuild the internal (cPanel) PHP so PostGres support is compiled in. It is likely the last time it was built, you did not have PostGres installed.

Code:
# /scripts/makecpphp